import { Authorization } from './authorization';
import { BaseApiService } from "../base.api.service";
export declare class AuthorizationService extends BaseApiService {
    constructor();
    getApi(): string;
    findAllByExample(projectId: string, provider: string, withoutProjectId: boolean): Promise<Array<Authorization>>;
    findAll(): Promise<Array<Authorization>>;
    findById(id: string): Promise<Authorization>;
    save(authorization: Authorization): Promise<string>;
    delete(authorization: Authorization): Promise<void>;
}
//# sourceMappingURL=authorization.service.d.ts.map