import { BaseApiService } from "../base.api.service";
import { Project } from "./project";
import { Sort } from "../../types/sort";
export declare class ProjectService extends BaseApiService {
    getApi(): string;
    constructor();
    findAll(sort?: Sort): Promise<Array<Project>>;
    findById(projectId: string): Promise<Project>;
    findEmbeddedProject(): Promise<any>;
    save(project: Project): Promise<string>;
}
//# sourceMappingURL=project.service.d.ts.map